Bug 566342 - Review Request: dogtag-pki - Meta-package for Dogtag PKI Suite
Summary: Review Request: dogtag-pki - Meta-package for Dogtag PKI Suite
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-18 01:41 UTC by Kevin Wright
Modified: 2015-07-13 04:57 UTC (History)
8 users (show)

Fixed In Version: dogtag-pki-1.3.0-1.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-20 03:43:28 UTC
panemade: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Kevin Wright 2010-02-18 01:41:33 UTC
Spec URL: http://people.redhat.com/kwright/dogtag-pki/dogtag-pki.spec
SRPM URL: http://people.redhat.com/kwright/dogtag-pki/dogtag-pki-console-ui-1.3.1-1.el5.src.rpm
Description: Meta-package for Dogtag Public Key Infrastructure (PKI) Suite

Comment 1 Kevin Wright 2010-02-18 01:45:28 UTC
This is a meta-package, the purpose of which is to simply provide Requires to
pull in the other components:

# Make certain that this 'meta' package requires all Dogtag PKI UI packages
Requires:         dogtag-pki-common-ui
Requires:         dogtag-pki-console-ui
Requires:         dogtag-pki-ca-ui
Requires:         dogtag-pki-kra-ui
Requires:         dogtag-pki-ocsp-ui
Requires:         dogtag-pki-ra-ui
Requires:         dogtag-pki-tks-ui
Requires:         dogtag-pki-tps-ui
# Make certain that this 'meta' package requires all Dogtag PKI subsystems
Requires:         pki-ca
Requires:         pki-kra
Requires:         pki-ocsp
Requires:         pki-ra
Requires:         pki-tks
Requires:         pki-tps
# Make certain that this 'meta' package requires all Dogtag PKI clients
Requires:         esc
# Make certain that this 'meta' package requires all Dogtag PKI javadocs
Requires:         pki-common-javadoc
Requires:         pki-java-tools-javadoc
Requires:         pki-util-javadoc

Comment 2 Parag AN(पराग) 2010-02-19 03:14:19 UTC
Can we have correct srpm link please?

Comment 3 Kevin Wright 2010-02-23 01:25:48 UTC
SRPM URL: (corrected). 

http://people.redhat.com/kwright/dogtag-pki/dogtag-pki-1.3.0-1.fc11.src.rpm

Comment 4 Parag AN(पराग) 2010-02-23 05:21:56 UTC
APPROVED.

Comment 5 Kevin Wright 2010-02-23 14:12:40 UTC
New Package CVS Request
=======================
Package Name: dogtag-pki
Short Description: Meta-package for Dogtag Public Key Infrastructure (PKI) Suit 
Owners: kwright
Branches: F-11, F-12, F-13, EL-5
InitialCC: ausil

Comment 6 Jason Tibbitts 2010-02-23 20:10:51 UTC
CVS done (by process-cvs-requests.py).

Comment 7 Fedora Update System 2010-02-23 22:23:33 UTC
dogtag-pki-1.3.0-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/dogtag-pki-1.3.0-1.fc13

Comment 8 Fedora Update System 2010-02-23 22:31:31 UTC
dogtag-pki-1.3.0-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/dogtag-pki-1.3.0-1.fc11

Comment 9 Fedora Update System 2010-02-23 22:39:06 UTC
dogtag-pki-1.3.0-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/dogtag-pki-1.3.0-1.fc12

Comment 10 Fedora Update System 2010-02-23 22:46:52 UTC
dogtag-pki-1.3.0-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/dogtag-pki-1.3.0-1.el5

Comment 11 Fedora Update System 2010-02-24 07:58:32 UTC
dogtag-pki-1.3.0-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dogtag-pki'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F13/FEDORA-2010-2797

Comment 12 Johannes Russek 2010-02-24 12:12:45 UTC
(In reply to comment #10)
> dogtag-pki-1.3.0-1.el5 has been submitted as an update for Fedora EPEL 5.
> http://admin.fedoraproject.org/updates/dogtag-pki-1.3.0-1.el5    

seems like dogtag-pki requires jss >= 4.2.6 which hasn't made it into EPEL 5 yet. (doesn't even seem to be in testing, either).
installing or trying to update to this will fail on an EL5 machine with EPEL repository enabled.

Comment 13 Fedora Update System 2010-02-24 17:35:41 UTC
dogtag-pki-1.3.0-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dogtag-pki'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2010-2315

Comment 14 Fedora Update System 2010-02-26 03:37:34 UTC
dogtag-pki-1.3.0-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dogtag-pki'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-2916

Comment 15 Fedora Update System 2010-02-26 03:38:34 UTC
dogtag-pki-1.3.0-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dogtag-pki'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2010-2928

Comment 16 Didier 2010-02-26 08:46:35 UTC
(In reply to comment #13)
dogtag-pki-1.3.0-1.el5 pulls in pki-ra-1.3.0-6.el5 and pki-tps-1.3.0-8, which both depend on mod_nss >= 1.0.7 .

mod_nss >= 1.0.7 is not available in EPEL or EPEL-testing, hence dogtag-pki installation fails.

Comment 17 Didier 2010-03-02 10:02:19 UTC
pki-ca cannot be configured on EL-5 (see https://bugzilla.redhat.com/show_bug.cgi?id=568787). Does this warrant a blocker ?

Comment 18 Fedora Update System 2010-03-20 03:43:24 UTC
dogtag-pki-1.3.0-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2010-03-20 03:46:52 UTC
dogtag-pki-1.3.0-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2010-03-20 03:50:50 UTC
dogtag-pki-1.3.0-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.